#! /bin/sh

# A short script to illustrate the use of the "gadgeteer"
# command-line app.

# A function is needed to let the shell read the output:
useOutput() {
  while true; do
	read TITLE
	if [ $? != 0 ]; then
	  return; fi
	read FIRST
	read LAST
	read AGE
	read CHECK
	read BUTTON
	if [ "$BUTTON" ]; then echo "You pressed the button"; continue; fi
	echo "The name is $TITLE $FIRST $LAST"
	echo "Age is $AGE"
	if [ "$CHECK" ]; then echo "and Married"; fi
  done
}

# Using shell variables can be convenient:
  INIT="Billy"
  
# The demonstration command line:
gadgeteer {title: DEMO, label: this is a demonstration, \
     label: of some gadgeteer features, \
     menu: [Mr, Mrs, Miss, Ms., Master, Sir, Lady, President, Their Majesty], \
     width: 300, div: 80, pos: right, textcontrol: {label: First Name, init: $INIT}, \
     pos: below, textcontrol: LastName, \
     slider: {label: Age, min: 1, max: 110, init: 21}, \
     checkbox: {label: Married, init: off}, \
     button: {label: PUSH ME, width: 50}} | useOutput
     
# The command arguments are a YAML-syntax string and thus must be enclosed
# in braces.  Each 'Directive' entry is a "key: value" pair, separated
# by commas.  The space after a colon or comma is mandatory.

# By default, items are stacked vertically.  The "pos: right" resets this
# to put following items to the right of the first, the "pos: below" resets
# again.  Note that the last item is vertically aligned with the previous.
# The menu has a list of items as its value; most of the other controls have
# extended parameter sets as their values.  The "div" global parameter
# (currently) only applies to the textcontrol divider position.
